com.rscja.team.qcom.uhfparse

## Class UHFProtocolProtocolParseBase

- java.lang.Object
- - com.rscja.team.qcom.uhfparse.UHFProtocolProtocolParseBase

- Direct Known Subclasses:
    UHFBLEProtocolParse

      public abstract class UHFProtocolProtocolParseBase
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `UHFProtocolProtocolParseBase.CMDInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UHFProtocolProtocolParseBase()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCmd(UHFProtocolProtocolParseBase.CMDInfo cmdInfo)`
    `abstract void` | `addCmdList(UHFProtocolProtocolParseBase.CMDInfo info)`
    `void` | `cleanOldCmd()`
    `void` | `cleanTagCmd()`
    `java.util.List<UHFProtocolProtocolParseBase.CMDInfo>` | `getCmdList()`
    `java.util.List<UHFProtocolProtocolParseBase.CMDInfo>` | `getCmdList(int cmd)`
    `java.util.List<UHFProtocolProtocolParseBase.CMDInfo>` | `getCmdList(int cmd, int controlWord)`
    `UHFProtocolProtocolParseBase.CMDInfo` | `getTagCmd()`
    `abstract boolean` | `isBuildFullData(UHFProtocolProtocolParseBase.CMDInfo cmdinfo)`
    `void` | `parseData(byte[] inDataBuf)`
    `void` | `setInventoryCallback(IUHFInventoryCallback inventoryCallback)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UHFProtocolProtocolParseBase

          public UHFProtocolProtocolParseBase()

  - ### Method Detail

    - #### isBuildFullData

          public abstract boolean isBuildFullData(UHFProtocolProtocolParseBase.CMDInfo cmdinfo)

    - #### addCmdList

          public abstract void addCmdList(UHFProtocolProtocolParseBase.CMDInfo info)

    - #### setInventoryCallback

          public void setInventoryCallback(IUHFInventoryCallback inventoryCallback)

    - #### getTagCmd

          public UHFProtocolProtocolParseBase.CMDInfo getTagCmd()

    - #### cleanTagCmd

          public void cleanTagCmd()

    - #### getCmdList

          public java.util.List<UHFProtocolProtocolParseBase.CMDInfo> getCmdList()

    - #### getCmdList

          public java.util.List<UHFProtocolProtocolParseBase.CMDInfo> getCmdList(int cmd)

    - #### getCmdList

          public java.util.List<UHFProtocolProtocolParseBase.CMDInfo> getCmdList(int cmd,
                                                                                 int controlWord)

    - #### cleanOldCmd

          public void cleanOldCmd()

    - #### addCmd

          public void addCmd(UHFProtocolProtocolParseBase.CMDInfo cmdInfo)

    - #### parseData

          public void parseData(byte[] inDataBuf)